<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateFunusergroupsTable extends Migration
{
    private $tableName = 'funusergroups';

    public function up()
    {
        Schema::create($this->tableName, function (Blueprint $table) {
            $table->increments('id');
            $table->string('Name', 128);
            $table->string('FunList', 256);
            $table->string('UsrList', 256);
            $table->unsignedTinyInteger('Valid');
            $table->unsignedTinyInteger('Oid'); // TODO: 不知道作用
            $table->timestamps();
        });
    }

    public function down()
    {
        Schema::drop($this->tableName);
    }
}
